This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 838377 - Cannot mount f17 nfs partitions on rhel6
Cannot mount f17 nfs partitions on rhel6
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 18:42 EDT by Paulo Roma Cavalcanti
Modified: 2012-07-09 20:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 20:31:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Roma Cavalcanti 2012-07-08 18:42:02 EDT
Description of problem:

I cannot see any f17 nfs partition on rhel6 or macos, e.g.,
using:

cd /net/computer_name/home

I can see the partitions locally, on the same system running
the server. Firewal and selinux do not seem to be blocking
the access...

This is what I have in /etc/exports:

/home        192.168.254.1/24(sync,rw,no_root_squash)
/home        192.168.1.1/24(sync,rw,no_root_squash)
/mnt/dados2  192.168.254.1/24(sync,rw,no_root_squash)
/mnt/dados2  192.168.1.1/24(sync,rw,no_root_squash)


Version-Release number of selected component (if applicable):

autofs-5.0.6-19.fc17.x86_64.rpm

How reproducible:

Always

Steps to Reproduce:
1. On rhel6, just do: cd /net/compuer_name/home
2.
3.
  
Actual results:

Nothing happens or cd... just hangs forever.

Expected results:

The directory tree should be shwon.

Additional info:
Comment 1 Ian Kent 2012-07-08 20:50:16 EDT
I'm having trouble working out what your describing.

Which machine is doing the exporting?
And which machine is the client?

You've quoted the autofs version found on F17 which has nothing
to do with the NFS exporting of file systems but the steps to
reproduce are apparently run on rhel6?

Assuming the client is rhel6 and the server is f17, what does
showmount -e <f17 machine>" give you?

Can you mount the exports manually on some other diectory on
the client machine?
Comment 2 Paulo Roma Cavalcanti 2012-07-08 23:29:56 EDT
(In reply to comment #1)
> I'm having trouble working out what your describing.
> 
> Which machine is doing the exporting?
> And which machine is the client?

The server runs on F17 and the client on Rhel6 or macos.

> 
> You've quoted the autofs version found on F17 which has nothing
> to do with the NFS exporting of file systems but the steps to
> reproduce are apparently run on rhel6?
> 
> Assuming the client is rhel6 and the server is f17, what does
> showmount -e <f17 machine>" give you?

The computer running F17 is called "cascavel":

Export list for cascavel:
/mnt/dados2 192.168.1.1/24,192.168.254.1/24
/home       192.168.1.1/24,192.168.254.1/24

> 
> Can you mount the exports manually on some other diectory on
> the client machine?

Yes. The manual mount works. However, using "/net/computer/home" does not.

I also tried using in /etc/auto.misc

casca            -rw,soft,intr           cascavel:/home

where cascavel in "/etc/hosts" is 192.168.1.2, and no joy.

In the F17 server, I get:

cascavel:~] ls -al /net/cascavel
total 4
dr-xr-xr-x.  4 root root    0 Jul  9 00:22 .
drwxr-xr-x.  4 root root    0 Jul  9 00:22 ..
drwxr-xr-x. 30 root root 4096 Jul  6 07:12 home
dr-xr-xr-x.  3 root root    0 Jul  9 00:22 mnt

Nonetheless, on rhel6 the same "ls" just hangs, or shows nothing at all ... 

In my local network, I have several rhel6, macos and F14 and
they see each other through /net/computer/... Only the machine
running F17 can not be seen, but it can access the nfs partitions 
from the other computers.
Comment 3 Ian Kent 2012-07-09 02:25:37 EDT
(In reply to comment #2)
> > Assuming the client is rhel6 and the server is f17, what does
> > showmount -e <f17 machine>" give you?
> 
> The computer running F17 is called "cascavel":
> 
> Export list for cascavel:
> /mnt/dados2 192.168.1.1/24,192.168.254.1/24
> /home       192.168.1.1/24,192.168.254.1/24
> 

That's not what I asked for.
I need to see what you get when you run "showmount -e cascavel"
on the rhel6 machine.
Comment 4 Paulo Roma Cavalcanti 2012-07-09 05:46:33 EDT
On rhel 6, I restared autofs, an then I did:

[urubu:~] more /proc/version
Linux version 2.6.32-220.23.1.el6.x86_64 (mockbuild@x86-002.build.bos.redhat.com) (gcc version 4.4.6 20110731 (Red Hat 4.4.6-3) (GCC) ) #1 SMP Tue Jun 12 11:20:15 EDT 2012
[urubu:~] ping cascavel
PING cascavel (192.168.1.2) 56(84) bytes of data.
64 bytes from cascavel (192.168.1.2): icmp_seq=1 ttl=64 time=2.31 ms
64 bytes from cascavel (192.168.1.2): icmp_seq=2 ttl=64 time=3.26 ms
64 bytes from cascavel (192.168.1.2): icmp_seq=3 ttl=64 time=1.25 ms
^C
--- cascavel ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2768ms
rtt min/avg/max/mdev = 1.255/2.277/3.266/0.823 ms
[urubu:~] showmount -e cascavel
clnt_create: RPC: Port mapper failure - Unable to receive: errno 113 (No route to host)
[urubu:~] showmount -e 192.168.1.2
clnt_create: RPC: Port mapper failure - Unable to receive: errno 113 (No route to host)
Comment 5 Paulo Roma Cavalcanti 2012-07-09 06:28:46 EDT
I would like to add that on rhle6 my uid is 500
and on F17 it is 1000


However, using shownmount on the F17 server, succeeds:

[cascavel:~] showmount -e urubu.local
Export list for urubu.local:
/home 192.168.1.1/24,192.168.254.1/24
Comment 6 Ian Kent 2012-07-09 08:46:11 EDT
(In reply to comment #4)
> On rhel 6, I restared autofs, an then I did:

Makes no difference for running showmount, but autofs uses
similar code to get the list of exports.

> 
> [urubu:~] more /proc/version
> Linux version 2.6.32-220.23.1.el6.x86_64
> (mockbuild@x86-002.build.bos.redhat.com) (gcc version 4.4.6 20110731 (Red
> Hat 4.4.6-3) (GCC) ) #1 SMP Tue Jun 12 11:20:15 EDT 2012
> [urubu:~] ping cascavel
> PING cascavel (192.168.1.2) 56(84) bytes of data.
> 64 bytes from cascavel (192.168.1.2): icmp_seq=1 ttl=64 time=2.31 ms
> 64 bytes from cascavel (192.168.1.2): icmp_seq=2 ttl=64 time=3.26 ms
> 64 bytes from cascavel (192.168.1.2): icmp_seq=3 ttl=64 time=1.25 ms
> ^C
> --- cascavel ping statistics ---
> 3 packets transmitted, 3 received, 0% packet loss, time 2768ms
> rtt min/avg/max/mdev = 1.255/2.277/3.266/0.823 ms
> [urubu:~] showmount -e cascavel
> clnt_create: RPC: Port mapper failure - Unable to receive: errno 113 (No
> route to host)
> [urubu:~] showmount -e 192.168.1.2
> clnt_create: RPC: Port mapper failure - Unable to receive: errno 113 (No
> route to host)

Mmmm .. the protmapper is always on port 111, is that port allowed
by the server firewall service?

What about the mountd port?

Try an "rpcinfo -p" on the server (cascavel I guess) and see what
port the services are running on.

You can check if this is a firewall issue by temporarily disabling
the firewall on the server.

Probalem is, to get the list of exports, autofs needs to ask the
protmapper what port mountd is available on then ask mountd for the
list.
Comment 7 Paulo Roma Cavalcanti 2012-07-09 17:22:05 EDT
You are right. It was the firewall ...

I had to open the following ports on the server:

111 tcp
111 udp
2049 tcp
2049 udp
20048 tcp

Nonetheless, this has never been necessary before. It seems to me
that someone just left these ports closed by mistake. It is a nonsense
suppose a user would have to open so many ports only for using autofs.

Thank you, and sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.